'use strict';

(function () {

  function _obj() {}

  _obj.prototype = {

    setNext: function (next) {
      this.next = next;
    },

    identify: function (phone) {
      if (phone && (phone.length == 15 || phone.length == 16) && phone.substring(0,2) == '00') {
        return 'zeroZeroCsCcNumber';
      }
      return this.next.identify(phone);
    }
  };

  exports.zeroZeroCsCcNumberIdentifier = _obj;
}());
